log4cplus::spi::StringMatchFilter Class Reference

This is a very simple filter based on string matching. More...

`#include <filter.h>`

Inheritance diagram for log4cplus::spi::StringMatchFilter:
[legend]
Collaboration diagram for log4cplus::spi::StringMatchFilter:
[legend]

## Public Member Functions

| StringMatchFilter ()
| StringMatchFilter (const log4cplus::helpers::Properties &p)
virtual FilterResult | decide (const InternalLoggingEvent &event) const
| Returns `NEUTRAL` is there is no string match.
Public Member Functions inherited from log4cplus::spi::Filter
| Filter ()
virtual | ~Filter ()
void | appendFilter (FilterPtr filter)
| Appends `filter` to the end of this filter chain.
Public Member Functions inherited from log4cplus::helpers::SharedObject
void | addReference () const LOG4CPLUS_NOEXCEPT
void | removeReference () const

## Additional Inherited Members

Public Attributes inherited from log4cplus::spi::Filter
FilterPtr | next
| Points to the next filter in the filter chain.
Public Attributes inherited from log4cplus::helpers::SharedObject
thread::Mutex | access_mutex
Protected Member Functions inherited from log4cplus::helpers::SharedObject
| SharedObject ()
| SharedObject (const SharedObject &)
| SharedObject (SharedObject &&)
virtual | ~SharedObject ()
SharedObject & | operator= (const SharedObject &) LOG4CPLUS_NOEXCEPT
SharedObject & | operator= (SharedObject &&) LOG4CPLUS_NOEXCEPT

## Detailed Description

This is a very simple filter based on string matching.

The filter admits two options StringToMatch and AcceptOnMatch. If there is a match between the value of the StringToMatch option and the message of the Logging event, then the `decide` method returns `ACCEPT` if the AcceptOnMatch option value is true, if it is false then `DENY` is returned. If there is no match, `NEUTRAL` is returned.

Definition at line 263 of file filter.h.

## Constructor & Destructor Documentation

## StringMatchFilter() [1/2]

log4cplus::spi::StringMatchFilter::StringMatchFilter | ( |  | ) |

## StringMatchFilter() [2/2]

log4cplus::spi::StringMatchFilter::StringMatchFilter | ( | const log4cplus::helpers::Properties & | p | ) |

## Member Function Documentation

## decide()

virtual FilterResult log4cplus::spi::StringMatchFilter::decide | ( | const InternalLoggingEvent & | event | ) | const

virtual

Returns `NEUTRAL` is there is no string match.

Implements log4cplus::spi::Filter.

References LOG4CPLUS_PRIVATE.

The documentation for this class was generated from the following file:

- filter.h